Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.com
Interface ComRuntimeAgent

All Known Implementing Classes:
  ComRuntimeAgentImpl

    public interface ComRuntimeAgent

This is the ComRuntimeAgent interface for the COM application connection.

Method Summary
`STCIDispatch` | `create(java.lang.String clsidString)` Call this method to create an instance of the COM object specified by the CLSID string and the default server (if DCOM component) in the eWay configuration.
`ComConfiguration` | `getConfiguration()` Get the configuration for this connection.
`java.lang.String` | `resolveSystemErrorText(int hr)` A convenience method exposed to allow the user to get the error text for an HRESULT.

Method Detail

### create

    STCIDispatch create(java.lang.String clsidString)
                        throws ComApplicationException

  Call this method to create an instance of the COM object specified by the CLSID string and the default server (if DCOM component) in the eWay configuration.

  Parameters:
    `clsidString` - The CLSID string of the COM object you wish to create. Note that the component must be automation-compatible.
  Returns:
    Returns an STCIDispatch interface for the specified CLSID string.
  Throws:
    `ComApplicationException` - if creation of the instance fails.

### getConfiguration

    ComConfiguration getConfiguration()

  Get the configuration for this connection.

  Returns:
    The configuration.

### resolveSystemErrorText

    java.lang.String resolveSystemErrorText(int hr)

  A convenience method exposed to allow the user to get the error text for an HRESULT. The Method routes down to the `FormatMessage` method in the Win32 API.

  Returns:
    Error message from operating system, if any.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Sun Microsystems, Inc. All rights reserved.